Skip to main content
`Ctrl`+`K`

# PetscGridHash

Opaque uniform-cell spatial hash used by `DMPLEX` to accelerate point location, by mapping query points to a bucket of candidate mesh cells

## Synopsis

    typedef struct _n_PetscGridHash *PetscGridHash;

## See Also

`DMPLEX`, `PetscGridHashCreate()`, `PetscGridHashDestroy()`, `PetscGridHashGetEnclosingBox()`, `PetscGridHashEnlarge()`

## Level

developer

## Location

include/petscdmplex.h

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages